Subject: glmenu 3.1 and Geeklog 1.8.0

Posted on: 27/06/11 12:40pm
By: ::Ben

Just a feedback :

The glmenu 3.1 upload breaks the plugins admin page. So to install glmenu I needed to visit the admin/plugins/glmenu/install.php page. Then the plugins admin page works nice.

Ben

Re: glmenu 3.1 and Geeklog 1.8.0

Posted on: 27/06/11 07:47pm
By: Laugh

Did you want to fix that and create a new version? We could add the source code to the same repository as the forum so others at some point could do some work as well.

Tom

Re: glmenu 3.1 and Geeklog 1.8.0

Posted on: 28/06/11 12:09pm
By: ::Ben

Sorry I would like but I do not get enough time today to take care of the glmenu plugin.
All my free time will go first to paypal plugin, classifieds plugin, multi plugin, maps plugin, captcha plugin, flickr plugin.
Maybe in september...

Ben

Re: glmenu 3.1 and Geeklog 1.8.0

Posted on: 15/02/12 11:15am
By: bweber

I installed glmenu by hand and got it working. I think I've got a file misplaced though. Please see included screen cap. Notice the blown out tool tip? Any ideas?



Thanks,
~Bob

Re: glmenu 3.1 and Geeklog 1.8.0

Posted on: 15/02/12 12:39pm
By: ::Ben

Check the presence for the tooltip class in your theme css.

Ben

Re: glmenu 3.1 and Geeklog 1.8.0

Posted on: 15/02/12 02:31pm
By: bweber

Bazinga!

I'd copied files from an older version auto-install with different table prefixes in the DB which carried into the css.

Fixed.

Thanks Ben,
~Bob

Sv: glmenu 3.1 and Geeklog 1.8.0

Posted on: 22/03/13 11:03am
By: casper

Quote by: ::Ben

Just a feedback :

The glmenu 3.1 upload breaks the plugins admin page. So to install glmenu I needed to visit the admin/plugins/glmenu/install.php page. Then the plugins admin page works nice.

Ben



Hello,

Been away from GL lately, but did some upgrading on a site and got this error.
Using the direct link to the menu-install gave the same error.

Has anyone a fix for this?

Re: glmenu 3.1 and Geeklog 1.8.0

Posted on: 22/03/13 04:09pm
By: ::Ben

Thete is also the issue "PHP Formatted Code
Deprecated: Assigning the return value of new by reference is deprecated"

See here

Ben

Sv: glmenu 3.1 and Geeklog 1.8.0

Posted on: 22/03/13 04:51pm
By: casper

Hello Ben,

I have no return at that line, this was fixed some year ago.
Or is there something Im missing?

The error:
PHP Formatted Code
array(3) {
  ["sql"]=>
  string(48) "SELECT pi_version FROM  WHERE pi_name = 'glmenu'"
  ["ignore_errors"]=>
  int(0)
  ["result"]=>
  bool(false)
}


After disabling glmenu via sql, when reenabling the whole menu is missing on the site....

Re: glmenu 3.1 and Geeklog 1.8.0

Posted on: 23/03/13 03:25am
By: ::Ben

Bob sayed
I'd copied files from an older version auto-install with different table prefixes

and the table name is missing in your quote
string(48) "SELECT pi_version FROM WHERE pi_name = 'glmenu'"

Could it be related?

Ben

Sv: glmenu 3.1 and Geeklog 1.8.0

Posted on: 23/03/13 09:19am
By: casper

Hmm...
Thanks for your reply Ben,

I see there are something missing, but..
I try this on a fresh install, and the error appears as soon as I put the glmenu-folder in my plugin-directory.
So, before any install of glmenu it still asks for info from my database that cannot be there?
I do not have any old version, so cant try another file either..

Re: glmenu 3.1 and Geeklog 1.8.0

Posted on: 23/03/13 09:53pm
By: mystral-kk

Quote by: casper

Hello Ben, I have no return at that line, this was fixed some year ago. Or is there something Im missing? The error:

PHP Formatted Code
array(3) {
  ["sql"]=>
  string(48) "SELECT pi_version FROM  WHERE pi_name = 'glmenu'"
  ["ignore_errors"]=>
  int(0)
  ["result"]=>
  bool(false)
}
After disabling glmenu via sql, when reenabling the whole menu is missing on the site....

This can be fixed by adding the following line to the top of "plugins/glmenu/config.php":

PHP Formatted Code

global $_TABLES;
 

However, glMenu plugin won't install with Geeklog-2.0.0, because of changes in blocks.


Re: glmenu 3.1 and Geeklog 1.8.0

Posted on: 24/03/13 04:42am
By: ::Ben

This can be fixed by adding the following line to the top of "plugins/glmenu/config.php"


Yes I forgot this change. Thank you for the reminder.

There also alternatives to glmenu :

- A nice solution from suprsidr
- Menu plugin

Ben

Sv: glmenu 3.1 and Geeklog 1.8.0

Posted on: 24/03/13 03:52pm
By: casper

Thanks for your help.
Its now fixed.

And thanks for the other suggestions, will take a look.
Glmenu have never been a favourite, its functions make me Sick

Geeklog - Forum
https://www.geeklog.net/forum/viewtopic.php?showtopic=92917